//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TButton *ButtonRemove;
        TButton *ButtonKeep;
        TListView *KeepList;
        TListView *DumpList;
        TCheckBox *CheckBox1;
        TButton *FinishButton;
        TGroupBox *GroupBox1;
        TLabel *KeepLabel;
        TLabel *RemoveLabel;
        TLabel *TitleLabel;
        TLabel *Label1;
        TLabel *Label3;
        TLabel *StatusLabel;
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall ButtonRemoveClick(TObject *Sender);
        void __fastcall ButtonKeepClick(TObject *Sender);
        void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall FinishButtonClick(TObject *Sender);


private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
        void AddToKeepList(AnsiString path, AnsiString desc);
        void AddToDumpList(AnsiString path, AnsiString desc);
        AnsiString TForm1::GetRealPath(AnsiString path);
        AnsiString TForm1::Replace(AnsiString path, AnsiString from, AnsiString to);
        };
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
